<?php namespace Qcr\TestsExtension\Console;

use Illuminate\Console\Command;

class TestPermissions extends Command
{

    protected $signature = 'test:permissions';

    public function handle()
    {
        $this->info('Starting...');

        /**
         * Test the logging system.
         */
        $log = storage_path('logs/laravel-' . date('Y-m-d') . '.log');

//        try {
//            file_get_contents(url('tests/log'));
//
//            $this->info('Log entry written OK from apache');
//        } catch (\Exception $exception) {
//            $this->error('Apache log test failed at ' . url('tests/log'));
//        }

        try {
            \Log::info('Log entry from ' . __FUNCTION__);

            $this->info('Log entry written OK from ' . exec('whoami'));
        } catch (\Exception $exception) {
            $this->error('User [' . exec('whoami') . '] unable to unlink log file after apache generates.');
        }

        /**
         * Test the asset system.
         */
        if (
            file_exists($content = public_path('app/qcbt/assets/admin/theme.js')) &&
            !empty(file_get_contents($content))
        ) {
            $this->info('Content exist at [' . $content . ']');
        } else {
            $this->error('Content missing or unable to write.');
            $this->error('Try visiting: ' . url('admin/login'));
        }

        try {
            $this->call('asset:clear');
        } catch (\Exception $exception) {
            $this->error('Failed to clear assets.');
        }
    }
}
